<template>
  <div>
    <v-tabs v-model="tab" align-with-title>
      <v-tabs-slider color="yellow"></v-tabs-slider>
      <v-tab>
        <v-icon color="grey lighten-1" x-large>mdi-tablet-dashboard</v-icon>
        Datos del vista
      </v-tab>
      <v-tab>
        <v-icon color="grey lighten-1" x-large>mdi-format-list-bulleted</v-icon>
        Propiedades
      </v-tab>
    </v-tabs>
    <v-tabs-items v-model="tab">
      <v-tab-item>
        <datos-vista :mode="2" :instanceTree="instanceTree" :vistaIn="vista" />
      </v-tab-item>
      <v-tab-item>
        <propiedades :vistaIn="vista" />
      </v-tab-item>
    </v-tabs-items>
  </div>
</template>
<script>
import DatosVista from "@/views/secure/accesos/sistema/mapa-sitio/vistas/components/DatosVista.vue";
import Propiedades from "@/views/secure/accesos/sistema/mapa-sitio/vistas/components/Propiedades.vue";
export default {
  name: "Component-EdicionVista",
  components: {
    DatosVista,
    Propiedades,
  },
  props: ["vista", "instanceTree"],
  data() {
    return {
      tab: null,
    };
  },
};
</script>
